VuFind
  1. VuFind
  2. VUFIND-434

Database upgrade script doesn't take into account options in config.local.ini

    Details

    • Type: Bug Bug
    • Status: Resolved
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 1.2
    • Fix Version/s: 1.3
    • Component/s: Installation
    • Labels:
      None

      Description

      To reproduce:

      1. Make install of VuFind 1.1
      2. Move DB options to config.local.ini
      3. Enable local overrides in config.ini
      4. Migrate to 1.2

        Activity

        Hide
        Demian Katz added a comment -
        The attached patch fixes the problem with the upgrade to 1.2; this has been committed as r4168 and will be accounted for in future releases' upgrade scripts.
        Show
        Demian Katz added a comment - The attached patch fixes the problem with the upgrade to 1.2; this has been committed as r4168 and will be accounted for in future releases' upgrade scripts.

          People

          • Assignee:
            Demian Katz
            Reporter:
            Servilio Afre Puentes
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: